Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1645114 - baloo_file crashed after starting Plasma due a failed assertion rc == 0 in mdb_page_dirty at mdb.c:2127-2128 in liblmdb.so.0.0.0 in the lmdb-libs package
Summary: baloo_file crashed after starting Plasma due a failed assertion rc == 0 in md...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lmdb
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-01 12:37 UTC by Matt Fagnani
Modified: 2020-11-24 16:53 UTC (History)
8 users (show)

Fixed In Version: lmdb-0.9.22-4.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 16:53:25 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
KDE Software Compilation 400498 0 NOR RESOLVED baloo_file crashed a few minutes after starting Plasma 2020-03-13 14:29:22 UTC

Description Matt Fagnani 2018-11-01 12:37:23 UTC
Description of problem:
baloo_file crashed about 5 minutes after I logged into Plasma 5.13.5 in Fedora 29.  I installed the kf5-baloo*-debuginfo-5.51.0-1.fc29, qt5-qtbase-debuginfo-5.11.1-8.fc29, lmdb-debuginfo-0.9.22-3.fc29, glibc-debuginfo-0:2.28-9.fc29 packages. I've seen similar crashes in baloo_file many times in previous KF5 versions which usually occur about 5-30 minutes after starting Plasma. The trace looks like the crash is due to a failed assertion rc == 0 in mdb_page_dirty at mdb.c:2127-2128 in liblmdb.so.0.0.0 in the lmdb-libs package.

-- Backtrace:
Application: Baloo File Indexing Daemon (baloo_file), signal: Aborted
Using host libthread_db library "/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0xb3982840 (LWP 1369))]

Thread 3 (Thread 0x72a6db40 (LWP 2081)):
[KCrash Handler]
#7  0xb7f06d41 in __kernel_vsyscall ()
#8  0xb7203b36 in __libc_signal_restore_set (set=0x72a6c27c) at ../sysdeps/unix/sysv/linux/internal-signals.h:84
#9  __GI_raise (sig=6) at ../sysdeps/unix/sysv/linux/raise.c:48
#10 0xb71ed374 in __GI_abort () at abort.c:79
#11 0xb7613440 in mdb_assert_fail (env=0x1eaed50, expr_txt=expr_txt@entry=0xb761502f "rc == 0", func=func@entry=0xb76158f8 <__func__.7062> "mdb_page_dirty", line=2127, file=0xb7615010 "mdb.c") at mdb.c:1542
#12 0xb7608494 in mdb_page_dirty (txn=0x1eaffb0, mp=<optimized out>) at mdb.c:2128
#13 0xb76096ca in mdb_page_alloc (num=num@entry=1, mp=mp@entry=0x72a6c830, mc=<optimized out>) at mdb.c:2308
#14 0xb7609911 in mdb_page_touch (mc=mc@entry=0x72a6cb64) at mdb.c:2495
#15 0xb760b44b in mdb_cursor_touch (mc=mc@entry=0x72a6cb64) at mdb.c:6492
#16 0xb760e446 in mdb_cursor_put (mc=0x72a6cb64, key=0x72a6cdcc, data=0x72a6cdd4, flags=<optimized out>) at mdb.c:6626
#17 0xb76111f8 in mdb_put (txn=0x1eaffb0, dbi=8, key=0x72a6cdcc, data=0x72a6cdd4, flags=0) at mdb.c:8991
#18 0xb7c3e2ce in Baloo::IdFilenameDB::put (this=0x72a6ce60, docId=<optimized out>, path=...) at /usr/src/debug/kf5-baloo-5.51.0-1.fc29.i386/src/engine/idfilenamedb.cpp:75
#19 0xb7c3592d in Baloo::DocumentUrlDB::add (this=0x72a6d020, id=6200068759682306, parentId=6217892873960706, name=...) at /usr/src/debug/kf5-baloo-5.51.0-1.fc29.i386/src/engine/documenturldb.cpp:125
#20 0xb7c35bc3 in Baloo::DocumentUrlDB::put (this=0x72a6d020, docId=6200068759682306, url=...) at /usr/src/debug/kf5-baloo-5.51.0-1.fc29.i386/src/engine/documenturldb.cpp:69
#21 0xb7c567d5 in Baloo::WriteTransaction::addDocument (this=0x72102390, doc=...) at /usr/src/debug/kf5-baloo-5.51.0-1.fc29.i386/src/engine/writetransaction.cpp:57
#22 0xb7c4e763 in Baloo::Transaction::addDocument (this=0x72a6d0e0, doc=...) at /usr/src/debug/kf5-baloo-5.51.0-1.fc29.i386/src/engine/transaction.cpp:233
#23 0x004b302d in Baloo::NewFileIndexer::run (this=0x1ea9e20) at /usr/include/qt5/QtCore/qrefcount.h:60
#24 0xb76c4c10 in QThreadPoolThread::run (this=<optimized out>) at thread/qthreadpool.cpp:101
#25 0xb76cd909 in QThreadPrivate::start (arg=<optimized out>) at thread/qthread_unix.cpp:367
#26 0xb64765de in start_thread (arg=<optimized out>) at pthread_create.c:486
#27 0xb72c072a in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:108

Thread 2 (Thread 0xb3507b40 (LWP 1382)):
#0  0xb7f06d41 in __kernel_vsyscall ()
#1  0xb72b6853 in __GI___poll (fds=0xb2c0cd50, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#2  0xb4095254 in poll (__timeout=-1, __nfds=1, __fds=0xb2c0cd50) at /usr/include/bits/poll2.h:46
#3  g_poll (fds=0xb2c0cd50, nfds=1, timeout=-1) at gpoll.c:124
#4  0xb4085913 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0xb2c0cd50, timeout=<optimized out>, context=0xb2c00640) at gmain.c:4221
#5  g_main_context_iterate (context=context@entry=0xb2c00640, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3915
#6  0xb4085a5b in g_main_context_iteration (context=0xb2c00640, may_block=1) at gmain.c:3981
#7  0xb78b217c in QEventDispatcherGlib::processEvents (this=0xb2c005d0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#8  0xb7859b6f in QEventLoop::exec (this=<optimized out>, flags=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#9  0xb76c2dd1 in QThread::exec (this=0xb7dd2060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#10 0xb7d300d0 in QDBusConnectionManager::run (this=0xb7dd2060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:178
#11 0xb76cd909 in QThreadPrivate::start (arg=<optimized out>) at thread/qthread_unix.cpp:367
#12 0xb64765de in start_thread (arg=<optimized out>) at pthread_create.c:486
#13 0xb72c072a in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:108

Thread 1 (Thread 0xb3982840 (LWP 1369)):
#0  0xb7f06d41 in __kernel_vsyscall ()
#1  0xb72b6853 in __GI___poll (fds=0x1f01750, nfds=1, timeout=119983) at ../sysdeps/unix/sysv/linux/poll.c:29
#2  0xb4095254 in poll (__timeout=119983, __nfds=1, __fds=0x1f01750) at /usr/include/bits/poll2.h:46
#3  g_poll (fds=0x1f01750, nfds=1, timeout=119983) at gpoll.c:124
#4  0xb4085913 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x1f01750, timeout=<optimized out>, context=0x1ea3ea0) at gmain.c:4221
#5  g_main_context_iterate (context=context@entry=0x1ea3ea0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3915
#6  0xb4085a5b in g_main_context_iteration (context=0x1ea3ea0, may_block=1) at gmain.c:3981
#7  0xb78b215d in QEventDispatcherGlib::processEvents (this=0x1ea3e90, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#8  0xb7859b6f in QEventLoop::exec (this=<optimized out>, flags=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#9  0xb78623e2 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#10 0x004aaf61 in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/kf5-baloo-5.51.0-1.fc29.i386/src/file/main.cpp:104
[Inferior 1 (process 1369) detached]

Reported using DrKonqi

Version-Release number of selected component (if applicable):
kf5-baloo-file-0:5.51.0-1.fc29.i686
lmdb-libs-0:0.9.22-3.fc29.i686
plasma-desktop-0:5.13.5-1.fc29.i686
qt5-qtbase-0:5.11.1-9.fc29.i686

How reproducible:
baloo_file crashes have occurred once with kf5-baloo-file-5.51.0-1.fc29 and many times with previous versions of kf5


Steps to Reproduce:
1. Log into Plasma with baloo_file set to autostart
2. Wait 5-30 minutes
3.

Actual results:
The baloo_file crash above was shown by drkonqi.

Expected results:
No such crash should occur.

Additional info:
I reported this crash at https://bugs.kde.org/show_bug.cgi?id=400498

The following reports involving the baloo_file crashes involving the failed assertion rc == 0 in mdb_page_dirty in mdb.c in liblmdb.so in the lmdb-libs package have been reported for previous KF5 versions.
https://bugzilla.redhat.com/show_bug.cgi?id=1270372
https://bugzilla.redhat.com/show_bug.cgi?id=1379246
https://bugzilla.redhat.com/show_bug.cgi?id=1413507
https://bugzilla.redhat.com/show_bug.cgi?id=1435859
https://bugs.kde.org/show_bug.cgi?id=396078
https://bugs.kde.org/show_bug.cgi?id=372655

A possible fix in the lmdb package was noted at the following report in comments 39 and 41 and applied to openSUSE Tumbleweed liblmdb-0_9_22
https://bugs.kde.org/show_bug.cgi?id=389848#c39

The lmdb upstream fix is described at
https://www.openldap.org/its/index.cgi/Software%20Bugs?id=8756;selectid=8756
https://www.openldap.org/lists/openldap-devel/201710/msg00019.html
https://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=libraries/liblmdb/mdb.c;h=1bf81ed4c87901991b7cac885b0d8cbc4dd23436;hb=bb8502f08800a44a6b91a94d6478aa7101c4cc77#l3444

Applying that fix to the lmdb-libs package might address the crash above.

Comment 1 Matt Fagnani 2018-11-01 21:28:01 UTC
I'm reassigning this report to lmdb per the suggestion of Stefan Brüns since the fix is for lmdb-libs "Fixed in lmdb upstream and openSUSE lmdb RPMs, see 389848 for details. For any other distribution, ask the respective LMDB maintainers to cherry-pick the fix." 
at https://bugs.kde.org/show_bug.cgi?id=389625#c5

Comment 2 Fedora Update System 2018-11-05 12:33:17 UTC
lmdb-0.9.22-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-71a2ad112c

Comment 3 Fedora Update System 2018-11-05 12:33:27 UTC
lmdb-0.9.22-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-059ebfc6e0

Comment 4 Jan Staněk 2018-11-05 12:36:43 UTC
I have imported the upstream fix [1] from Github. Once the packages reach the updates-testing repo, can you please test it?

[1]: https://github.com/LMDB/lmdb/commit/1ffe472a080fcd3c7dab6e352848703ad7adbe14

Comment 5 Matt Fagnani 2018-11-06 15:46:21 UTC
I upgraded to lmdb-libs 0.9.22-4.fc29 and its debug packages from Koji yesterday. I haven't seen any baloo_file crashes after running several sessions of Plasma with baloo_file autostarted for longer than 30 minutes by which baloo_file usually would have crashed before. Thanks for the update.

Comment 6 Fedora Update System 2018-11-06 22:00:52 UTC
lmdb-0.9.22-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-059ebfc6e0

Comment 7 Fedora Update System 2018-11-06 23:27:45 UTC
lmdb-0.9.22-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-71a2ad112c

Comment 8 Matt Fagnani 2018-11-08 17:43:00 UTC
I got the crash of baloo_file involving the same failed assertion of "rc == 0" in mdb_page_dirty at mdb.c:2127-8 on the third time I logged into Plasma after upgrading to KF5 5.52.0. The crash is much less frequent after I upgraded to lmdb-libs 0.9.22-4. Some change in KF5 5.52.0 might be related to the crash occurring again. The following is the backtrace from drkonqi.

Application: Baloo File Indexing Daemon (baloo_file), signal: Aborted
Using host libthread_db library "/lib/libthread_db.so.1".
1343	  if G_UNLIKELY (g_atomic_int_add (&mutex->i[0], 1) != 0)
[Current thread is 1 (Thread 0xb3970840 (LWP 1340))]

Thread 3 (Thread 0x729feb40 (LWP 1375)):
[KCrash Handler]
#7  0xb7f01d41 in __kernel_vsyscall ()
#8  0xb71f6b36 in __libc_signal_restore_set (set=0x729fd24c) at ../sysdeps/unix/sysv/linux/internal-signals.h:84
#9  __GI_raise (sig=6) at ../sysdeps/unix/sysv/linux/raise.c:48
#10 0xb71e0374 in __GI_abort () at abort.c:79
#11 0xb7607b20 in mdb_assert_fail (env=0xf95e60, expr_txt=expr_txt@entry=0xb760a02f "rc == 0", func=func@entry=0xb760a920 <__func__.7063> "mdb_page_dirty", line=2127, file=0xb760a010 "mdb.c") at mdb.c:1542
#12 0xb75fca24 in mdb_page_dirty (txn=0xf970c0, mp=<optimized out>) at mdb.c:2128
#13 0xb75fdc5a in mdb_page_alloc (num=num@entry=1, mp=mp@entry=0x729fd800, mc=<optimized out>) at mdb.c:2308
#14 0xb75fdea1 in mdb_page_touch (mc=mc@entry=0x729fdb34) at mdb.c:2495
#15 0xb75ff9db in mdb_cursor_touch (mc=mc@entry=0x729fdb34) at mdb.c:6523
#16 0xb76029d6 in mdb_cursor_put (mc=0x729fdb34, key=0x729fdd9c, data=0x729fdda4, flags=<optimized out>) at mdb.c:6657
#17 0xb76058d8 in mdb_put (txn=0xf970c0, dbi=8, key=0x729fdd9c, data=0x729fdda4, flags=0) at mdb.c:9022
#18 0xb7c332ce in Baloo::IdFilenameDB::put (this=0x729fde30, docId=<optimized out>, path=...) at /usr/src/debug/kf5-baloo-5.52.0-2.fc29.i386/src/engine/idfilenamedb.cpp:75
#19 0xb7c2a92d in Baloo::DocumentUrlDB::add (this=0x729fdff0, id=7177929733766402, parentId=6192672825998594, name=...) at /usr/src/debug/kf5-baloo-5.52.0-2.fc29.i386/src/engine/documenturldb.cpp:125
#20 0xb7c2abc3 in Baloo::DocumentUrlDB::put (this=0x729fdff0, docId=7177929733766402, url=...) at /usr/src/debug/kf5-baloo-5.52.0-2.fc29.i386/src/engine/documenturldb.cpp:69
#21 0xb7c4b925 in Baloo::WriteTransaction::addDocument (this=0x720042b0, doc=...) at /usr/src/debug/kf5-baloo-5.52.0-2.fc29.i386/src/engine/writetransaction.cpp:57
#22 0xb7c437c3 in Baloo::Transaction::addDocument (this=0x729fe0b4, doc=...) at /usr/src/debug/kf5-baloo-5.52.0-2.fc29.i386/src/engine/transaction.cpp:233
#23 0x004e28e7 in Baloo::UnindexedFileIndexer::run (this=0xff3ca0) at /usr/include/qt5/QtCore/qrefcount.h:60
#24 0xb76b9c10 in QThreadPoolThread::run (this=<optimized out>) at thread/qthreadpool.cpp:101
#25 0xb76c2909 in QThreadPrivate::start (arg=<optimized out>) at thread/qthread_unix.cpp:367
#26 0xb619e5de in start_thread (arg=<optimized out>) at pthread_create.c:486
#27 0xb72b378a in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:108

Thread 2 (Thread 0xb34f5b40 (LWP 1353)):
#0  0xb40be2b1 in g_mutex_lock (mutex=0xb2b00640) at gthread-posix.c:1343
#1  0xb40748d7 in g_main_context_iterate (context=context@entry=0xb2b00640, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3924
#2  0xb4074a5b in g_main_context_iteration (context=0xb2b00640, may_block=1) at gmain.c:3981
#3  0xb78a717c in QEventDispatcherGlib::processEvents (this=0xb2b005d0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0xb784eb6f in QEventLoop::exec (this=<optimized out>, flags=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#5  0xb76b7dd1 in QThread::exec (this=0xb7d1a060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#6  0xb7c780d0 in QDBusConnectionManager::run (this=0xb7d1a060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:178
#7  0xb76c2909 in QThreadPrivate::start (arg=<optimized out>) at thread/qthread_unix.cpp:367
#8  0xb619e5de in start_thread (arg=<optimized out>) at pthread_create.c:486
#9  0xb72b378a in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:108

Thread 1 (Thread 0xb3970840 (LWP 1340)):
#0  0xb40be2b1 in g_mutex_lock (mutex=0xf8cc20) at gthread-posix.c:1343
#1  0xb4073d59 in g_main_context_prepare (context=0xf8cc20, priority=0xbfc4f3f4) at gmain.c:3495
#2  0xb4074824 in g_main_context_iterate (context=context@entry=0xf8cc20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3900
#3  0xb4074a5b in g_main_context_iteration (context=0xf8cc20, may_block=1) at gmain.c:3981
#4  0xb78a717c in QEventDispatcherGlib::processEvents (this=0xf8d540, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0xb784eb6f in QEventLoop::exec (this=<optimized out>, flags=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#6  0xb78573e2 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#7  0x004d5041 in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/kf5-baloo-5.52.0-2.fc29.i386/src/file/main.cpp:104
[Inferior 1 (process 1340) detached]

Comment 9 Fedora Update System 2018-11-09 06:02:28 UTC
lmdb-0.9.22-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Jan Staněk 2018-11-09 08:04:46 UTC
Re-opening this as bodhi has no respect for additional comments.

Matt, please get in touch with maintainers of baloo/kf5 again, as they are probably much more able to find the root cause then I am :) When the cause is found, I will be happy to apply it to the Fedora package ASAP.

Comment 11 Matt Fagnani 2018-11-11 17:24:09 UTC
(In reply to Jan Staněk from comment #10)
> Re-opening this as bodhi has no respect for additional comments.
> 
> Matt, please get in touch with maintainers of baloo/kf5 again, as they are
> probably much more able to find the root cause then I am :) When the cause
> is found, I will be happy to apply it to the Fedora package ASAP.

Jan, baloo_file 5.52.0 crashed several times right after starting due to the same failed assertion rc == 0 in mdb_page_dirty at mdb.c:2127-2128 in liblmdb.so.0.0.0 in the lmdb-libs-0.9.22-4 package with the suggested patch you applied. I moved the baloo index file ~/.local/share/baloo/index which was likely corrupted to ~/.local/share/baloo/index.old after which I ran balooctl start. baloo_file then ran without crashing as I noted at https://bugs.kde.org/show_bug.cgi?id=400498

If the abort signal made in mdb_assert_fail at mdb.c:1542 were changed to a warning or something more appropriate in the case of the failed assertion above, then the crashes might be avoided.

Comment 12 Fedora Update System 2018-11-21 03:10:10 UTC
lmdb-0.9.22-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Ben Cotton 2019-10-31 20:28:45 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-11-27 19:58:58 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 15 Matt Fagnani 2019-11-28 01:47:00 UTC
I've seen these baloo_file aborts with the same failed assertion about 3 times when logging into Plasma on Wayland in F31. The latest baloo_file crashes were with KF 5.64.0, lmdb-libs-0.9.23-3.fc31, Plasma 5.17.3, qt 5.12.5.

Comment 16 Ben Cotton 2020-11-03 15:04:17 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Ben Cotton 2020-11-24 16:53:25 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.